#pragma once

#include <memory>
#include <filesystem>

template<typename T>
class Image;

class IFontEngine
{
public:
    IFontEngine() = default;
    virtual ~IFontEngine() = default;

    virtual void initialize(){};

    virtual void loadFontFace(const std::filesystem::path& fontFile, int penSize = 16) = 0;

    virtual std::unique_ptr<Image<unsigned char> > loadGlyph(unsigned charCode) = 0;
};
